UomoCapra

Kerbal Space Program 1.6: “To Vee or not To Vee” Grand Discussion Thread

Recommended Posts

1 hour ago, djr5899 said:

I did try that, and it did not fix the issue.  Saw the same suggestion in the Tech Support forum as I was going to report the issue there, and same thing had been reported.  i did Verify the files, and it said it found 2 that it needed to redownload.  I let it do its thing, did Verify again, didn't show any problems.  Loaded KSP, and craft shows invalid parts, building new craft starting with MK2 Lander Can still shows the Variant multiple slider issue.

@djr5899 do you have docking port alignment indicator mod or the dependent mods (Module manager and RasterProp Monitor) installed?  Had the same issue, uninstalled all, and it worked.  Did some research and Module manager updated about an hour ago, reinstalled those mods, and it fixed the problem.

Share this post


Link to post
Share on other sites

zip

 

2 minutes ago, ManeTI said:

@tater Hello, are you using the .zip file or the installer?

zip

(has the installer ever worked?)

Share this post


Link to post
Share on other sites
8 minutes ago, tater said:

zip

 

zip

(has the installer ever worked?)

Please try the installer, some people that uses the zip make the game launch moving the KSP.app to the Desktop folder or any other place outside the folder it unzipped and then moving it back.

Share this post


Link to post
Share on other sites
1 minute ago, ManeTI said:

Please try the installer, macOS security settings changed on the most recent versions and some people make the game launch moving the KSP.app to the Desktop folder or any other place outside the folder it unzipped and then moving it back.

OK, I can do that. Historically the installer has never worked, so I've been trained to not even bother. If the zip doesn't work, why offer it at all?

Edited by tater

Share this post


Link to post
Share on other sites
Just now, tater said:

OK, I can do that. Hostorically the installer has never worked, so I've been trained to not even bother. If the zip doesn't work, why offer it at all?

I know nothing about Macs, but on Windows Zip files are just a convenient, compact way to distribute large numbers of files, or files that compact well. We never just run things from them.

Share this post


Link to post
Share on other sites
Just now, 5thHorseman said:

I know nothing about Macs, but on Windows Zip files are just a convenient, compact way to distribute large numbers of files, or files that compact well. We never just run things from them.

Run things from them? I unzip it. Bang, complete, KSP file structure. I throw the zip away.

Share this post


Link to post
Share on other sites

Last time, I complained that they released the 1.5 on a Thursday - ruining my working Friday (it's hard to work without sleeping at night).

Now the dudes released the game on a Wednesday! Do you have the slightest idea what happens with you with two consecutive sleepless nights? :)

Share this post


Link to post
Share on other sites
Just now, tater said:

Run things from them? I unzip it. Bang, complete, KSP file structure. I throw the zip away.

Oh then I misunderstood you. Sorry, carry on :)

Share this post


Link to post
Share on other sites
28 minutes ago, tater said:

Is your new Mac running Mojave?

Is this entirely a High Sierra issue?

Yes. It was an issue on my old Mac running Mojave though. I can't say for certain that it wasn't something caused by [High] Sierra that persisted after the upgrade. 

Share this post


Link to post
Share on other sites
8 minutes ago, tater said:

OK, I can do that. Historically the installer has never worked, so I've been trained to not even bother. If the zip doesn't work, why offer it at all?

Its been almost a year since we changed the .dmg for a new .pkg file. 

Share this post


Link to post
Share on other sites
3 minutes ago, ManeTI said:

Its been almost a year since we changed the .dmg for a new .pkg file. 

I've been playing since 0.23. I've been ignoring the installer for a long time.

So the installer worked (default installs to Applications).

You should delete the zip file if it doesn't work (and it doesn't work on High Sierra, anyway).

Also, there are numerous posts about earlier versions not running on macs without the package contents work-around, and no updates from anyone at Squad. Might be nice to address those. Thanks for the news that the Installer actually works, though.

Share this post


Link to post
Share on other sites

Oh boi,this is fast.

* Fix Kerbal IVA crew mass calculation on crewable parts where user/mods have changed IVA crew mass to be > 0 (the default).
* Kerbal IVA crew mass now reported in DV and Engineers report mass totals in editor (VAB/SPH).

This is suprise to be sure, but a welcome one.

Share this post


Link to post
Share on other sites
16 minutes ago, tater said:

OK, I can do that. Historically the installer has never worked, so I've been trained to not even bother. If the zip doesn't work, why offer it at all?

Some people like to have it around to selectively restore just a few files if thing go wrong. Apple really did a number on security starting in Sierra, so it couldn't be said that the zip just works or doesn't work. It depends on a lot of thing (security settings before and after updating macOS, file system, permissions settings, etc). So the fact that it didn't quite work for you doesn't mean it won't for anyone. Anyway, I read that the installer version just works for you, so that's a win for everyone.

Share this post


Link to post
Share on other sites
51 minutes ago, Cydonian Monk said:

Yes. It was an issue on my old Mac running Mojave though. I can't say for certain that it wasn't something caused by [High] Sierra that persisted after the upgrade. 

I'm running it on Mac OS Sierra 10.12.6 . No perceptible issues until the moment.

(I got it from Steam, by the way)


— — — — — 

Oh, yes… KJR is working fine on 1.6. As it did on 1.5. As it did on 1.4. As it did on 1.3. As it did on 1.2. 

(and yes, this is a joke. :D )

Edited by Lisias
post edit

Share this post


Link to post
Share on other sites
59 minutes ago, manek22 said:

@djr5899 do you have docking port alignment indicator mod or the dependent mods (Module manager and RasterProp Monitor) installed?  Had the same issue, uninstalled all, and it worked.  Did some research and Module manager updated about an hour ago, reinstalled those mods, and it fixed the problem.

@manek22 I do have docking port alignment mod.   I'll give that a shot. Appreciate your feedback.

Share this post


Link to post
Share on other sites

I loaded Stock KSP for the first time on my new laptop when getting 1.6. Not sure if it's 1.6 or the fact that I'm not loading a ton of mods, but man it loaded fast.

Share this post


Link to post
Share on other sites

Addendum #3

After some initial confusion, KER and stock started displaying the same values. Dunno what happened but if it fixed itself then it's fine enough.

 

Some more testing showed that stock doesn't update values quite as often KER. Creating a bit of a "lag"(not real framerate lag) in delivered information. 

Stock readouts are nonetheless capable of dealing with onion/asparagus staging with similar accuracy as ker

Rockets where you have 3 indentical cores with the middle one burning slightly less powerfull (like Delta IV heavy) are also handle well.

Stock readouts themself so look a bit confused when trying to deal woth atmospheric engines (props and nets).

 

But so far, it looks pretty good. 

Edited by GrandProtectorDark

Share this post


Link to post
Share on other sites
1 hour ago, Samssonart said:

Some people like to have it around to selectively restore just a few files if thing go wrong. Apple really did a number on security starting in Sierra, so it couldn't be said that the zip just works or doesn't work. It depends on a lot of thing (security settings before and after updating macOS, file system, permissions settings, etc). So the fact that it didn't quite work for you doesn't mean it won't for anyone. Anyway, I read that the installer version just works for you, so that's a win for everyone. 

You guys might hit up the Support forum and make these as suggestions. There are a few posts, and people just sharing work-arounds since no one has updated anyone on how to make it work. Using the installer literally never occurred to me, since traditionally it didn't work (I tried it a few versions ago to test, too).

Share this post


Link to post
Share on other sites
1 hour ago, manek22 said:

Did some research and Module manager updated about an hour ago, reinstalled those mods, and it fixed the problem.

Where and what is the latest MM?

Share this post


Link to post
Share on other sites
1 minute ago, Snark said:

ModuleManager releases are here:

https://github.com/sarbian/ModuleManager/releases

The most recent one I see is 3.1.2, released 25 days ago.  But I'm running with that version just fine on KSP 1.6 with no problems.

No other mods - in regards with the landercan variant issue...  basically, have one or the other but not both!

with MM 3.1.2. and no KER it works.

with MM 3.1.2 with KER it doesn't work

with no MM 3.1.2 but with KER it works

Edited by theJesuit

Share this post


Link to post
Share on other sites
1 minute ago, theJesuit said:

No other mods - in regards with the landercan variant issue...  basically, have one or the other but not both!

with MM 3.1.2. and no KER it works.

with MM 3.1.2 with KER it doesn't work

with no MM 3.1.2 but with KER is works

This is getting involved enough that I'd suggest you take it up in its own thread, perhaps under Add-on Discussions, or maybe the "tech support for modded installs" forum.  This is the main KSP 1.6 thread, let's not derail it by diving into the technical specifics of various mods.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.